Bug 1804493 - docker-registry image has ~50M of extra content due to yum cache
Summary: docker-registry image has ~50M of extra content due to yum cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Clayton Coleman
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1804756
Blocks: 1804494
TreeView+ depends on / blocked
 
Reported: 2020-02-19 01:36 UTC by Clayton Coleman
Modified: 2020-05-04 11:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1804494 1804756 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:37:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift image-registry pull 222 None closed [release-4.4] Bug 1804493: Dockerfile: Clear yum cache after install 2020-07-02 19:45:37 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:38:06 UTC

Description Clayton Coleman 2020-02-19 01:36:15 UTC
The image is larger than it needs to be due to not clearing its yum cache. Remove the cache.

Backport to 4.3

Comment 3 XiuJuan Wang 2020-02-24 03:29:49 UTC
$ oc adm release info  --pullspecs registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-02-21-011943 | grep registry 
Pull From: registry.svc.ci.openshift.org/ocp/release@sha256:9708834b46b57908731dda70f1aa8ab95f8d560b4bab42bdd31d8ae786f701d1
  cluster-image-registry-operator                quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:01683ae7ef28bbbdde4b43b6888df5982afa2f3bbcc718ea72670e3cf6fc90df
  docker-registry                                quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:58e78ae491ae5946c2c3a0919502a0dbac641aaa94e7a91b9913da67e581dac2
  operator-registry                              quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:65ca54d5e20bf395f025f2b8bfb9be57cfa5d9a545f51c67b153a590cc3cc4f3

$docker pull quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:58e78ae491ae5946c2c3a0919502a0dbac641aaa94e7a91b9913da67e581dac2
 
$oc adm release info  --pullspecs registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-02-23-191320 | grep registry 
Pull From: registry.svc.ci.openshift.org/ocp/release@sha256:f494316ccdcc0a6a00896c71e2ae54b45698f14d9bf1dd262ccf1a5ec3d73a84
  cluster-image-registry-operator                quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b22c66f9342234e5a12249a313aeb50bcd320c85ca72c0e0b545af6b5412e4aa
  docker-registry                                quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:535499a2e2ee004696f4a16a1cc2a426085aae40576e3d4212f99728adec9278
  operator-registry                              quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6aaa26e2fcb521d7663b437ed17a96ac66d54578ef05935bd0e5f1457a6899d0
docker pull quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:535499a2e2ee004696f4a16a1cc2a426085aae40576e3d4212f99728adec9278 

$docker images | grep ocp-v4.0-art-de
quay.io/openshift-release-dev/ocp-v4.0-art-dev                                                                                <none>              ffd8e0628fda        2 days ago          308MB

quay.io/openshift-release-dev/ocp-v4.0-art-dev                                                                                <none>              ae40f3e85ecd        9 days ago          1.59GB

I compared with the docker-registry image before and after pr merge, reduced size by 1.2G.

Mark this as verified.

Comment 5 errata-xmlrpc 2020-05-04 11:37:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.